Home

Compile TEAL source code to binary, produce its hash

POST
https://algo.nownodes.io/v2/teal/compile

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Given TEAL source code in plain text, return base64 encoded program bytes and base32 SHA512_256 hash of program bytes (Address style). This endpoint is only enabled when a node's configuration file sets EnableDeveloperAPI to true.

Body

text/plain

TEAL source code to be compiled

string<binary>

Parameters

sourcemapbooleanquery

When set to true, returns the source map of the program as a JSON. Defaults to false.

Response

200OK

Teal compile Result

400Bad Request

Bad Request - Teal Compile Error

401Unauthorized

Invalid API Token

404Not Found

Developer API not enabled

500Internal Server Error

Internal Error

default

Unknown Error